import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}consultlists`, { data });
};

export const httpCreate = (data: object): any => {
  return http.request("post", `${yewuApi}consultcreate`, { data });
};

export const httpDetail = (data: object): any => {
  return http.request("post", `${yewuApi}consultzxinfo`, { data });
};

export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}consultbar`, { data });
};

export const httpDelete = (data: object): any => {
  return http.request("post", `${yewuApi}branddel`, { data });
};

export const httpUpdate = (data: object): any => {
  return http.request("post", `${yewuApi}zxedit`, { data });
};

